Skip to main content
`Ctrl`+`K`

# Linear1D

class astropy.modeling.functional_models.Linear1D(slope=1, intercept=0, **kwargs)

  Bases: `Fittable1DModel`

  One dimensional Line model.

  Parameters:
    slope `python:float`

      Slope of the straight line

    intercept `python:float`

      Intercept of the straight line

  Other Parameters:
    fixed `python:dict`, optional

      A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

    tied `python:dict`, optional

      A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

    bounds `python:dict`, optional

      A dictionary `{parameter_name: value}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list or a tuple of length 2 giving the desired range for the parameter. Alternatively, the `min` and `max` properties of a parameter may be used.

    eqcons `python:list`, optional

      A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

    ineqcons `python:list`, optional

      A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  See also

  `Const1D`

  Notes

  Model formula:

  > \[f(x) = a x + b\]

  Attributes Summary

  `input_units` | This property is used to indicate what units or sets of units the evaluate method expects, and returns a dictionary mapping inputs to units (or `None` if any units are accepted).
  `intercept` |
  `linear` |
  `param_names` | Names of the parameters that describe models of this type.
  `slope` |

  Methods Summary

  `evaluate`(x, slope, intercept) | One dimensional Line model function.
  `fit_deriv`(x, *params) | One dimensional Line model derivative with respect to parameters.

  Attributes Documentation

  input_units
  intercept = Parameter('intercept', value=0.0)
  linear = True
  param_names = ('slope', 'intercept')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  slope = Parameter('slope', value=1.0)

  Methods Documentation

  static evaluate(x, slope, intercept)

    One dimensional Line model function.

  static fit_deriv(x, *params)

    One dimensional Line model derivative with respect to parameters.